---
title: 'HTMLCanvasElement: webglcontextlost event'
slug: Web/API/HTMLCanvasElement/webglcontextlost_event
tags:
  - Event
  - Reference
  - WebGL
---
<div>{{APIRef}}</div>

<div>
<p>The <code><strong>webglcontextlost</strong></code> event of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL API</a> is fired if the user agent detects that the drawing buffer associated with a {{domxref("WebGLRenderingContext")}} object has been lost.</p>
</div>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("WebGLContextEvent")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler property</th>
   <td>none</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<p>With the help of the {{domxref("WEBGL_lose_context")}} extension, you can simulate the <code>webglcontextlost</code> event:</p>

<pre class="brush: js">const canvas = document.getElementById('canvas');
const gl = canvas.getContext('webgl');

canvas.addEventListener('webglcontextlost', (event) =&gt; {
  console.log(event);
});

gl.getExtension('WEBGL_lose_context').loseContext();

// "webglcontextlost" event is logged.</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL', '#5.15.2', 'webglcontextlost')}}</td>
   <td>{{Spec2('WebGL')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLCanvasElement.webglcontextlost_event")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLContextEvent")}}</li>
 <li>{{domxref("WebGLRenderingContext.isContextLost()")}}</li>
 <li>{{domxref("WEBGL_lose_context")}}, {{domxref("WEBGL_lose_context.loseContext()")}}, {{domxref("WEBGL_lose_context.restoreContext()")}}</li>
</ul>
